Bug 1611199 - Man page scan results for checksec
Summary: Man page scan results for checksec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: checksec
Version: 30
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/slimm609/checksec....
Whiteboard:
Depends On:
Blocks: FedoraManpagescan
TreeView+ depends on / blocked
 
Reported: 2018-08-02 08:02 UTC by Maryna Nalbandian
Modified: 2019-04-21 23:51 UTC (History)
2 users (show)

Fixed In Version: checksec-1.11.1-1.fc30 checksec-1.11.1-1.fc28 checksec-1.11.1-1.fc29 checksec-1.11.1-1.el7 checksec-1.11.1-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-11 02:13:57 UTC


Attachments (Terms of Use)
Logs (781 bytes, text/plain)
2018-08-02 08:03 UTC, Maryna Nalbandian
no flags Details

Description Maryna Nalbandian 2018-08-02 08:02:49 UTC
In order to improve usability of packages in Fedora, project Man Page Scan was created and its task is to provide consistency of man pages (and documentation in general). The results are now available for package maintainers to fix documentation issues.

If you need to re-run the check yourself, here is the simple process of man page check:

1. Download man-page-day from:

    https://pagure.io/ManualPageScan/blob/master/f/man-page-day.sh

2. Run the script:
    $ ./man-page-day.sh checksec

Comment 1 Maryna Nalbandian 2018-08-02 08:03:04 UTC
Created attachment 1472353 [details]
Logs

Comment 2 Jan Kurik 2018-08-14 10:51:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 3 Ben Cotton 2019-02-19 17:11:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 4 Fedora Update System 2019-04-05 09:19:35 UTC
checksec-1.11.1-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-967eca96d6

Comment 5 Fedora Update System 2019-04-05 09:20:24 UTC
checksec-1.11.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-67b85d779a

Comment 6 Fedora Update System 2019-04-05 09:20:33 UTC
checksec-1.11.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7eafe36f9d

Comment 7 Fedora Update System 2019-04-05 09:21:07 UTC
checksec-1.11.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0103bf87d7

Comment 8 Fedora Update System 2019-04-05 09:21:11 UTC
checksec-1.11.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-2684dc7087

Comment 9 Fedora Update System 2019-04-06 17:41:49 UTC
checksec-1.11.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7eafe36f9d

Comment 10 Fedora Update System 2019-04-06 18:38:08 UTC
checksec-1.11.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-967eca96d6

Comment 11 Fedora Update System 2019-04-06 20:29:19 UTC
checksec-1.11.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0103bf87d7

Comment 12 Fedora Update System 2019-04-06 20:30:25 UTC
checksec-1.11.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-2684dc7087

Comment 13 Fedora Update System 2019-04-06 20:50:52 UTC
checksec-1.11.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-67b85d779a

Comment 14 Fedora Update System 2019-04-11 02:13:57 UTC
checksec-1.11.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-04-15 16:21:45 UTC
checksec-1.11.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-04-15 17:43:41 UTC
checksec-1.11.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-04-21 23:17:18 UTC
checksec-1.11.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-04-21 23:51:02 UTC
checksec-1.11.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.